﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MobileClient
{
    public partial class FormMain : Form
    {

        localhost.Service ws;

        public FormMain()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {

            this.textBox1.Text = ws.HelloWorld();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.textBox1.Text = System.DateTime.Now.ToString();
            ws.OneWayMethod();
            this.textBox1.Text = this.textBox1.Text + "----" + System.DateTime.Now.ToString();
        }

        private void FormMain_Load(object sender, EventArgs e)
        {
            ws = new MobileClient.localhost.Service();
            ws.Url = "http://zhubaobao:1100/WebSite1/Service.asmx";
        }

        private void button3_Click(object sender, EventArgs e)
        {
            AsyncCallback cb = new AsyncCallback(OnAsyncMethodComplete);
            this.textBox1.Text = System.DateTime.Now.ToString();
            ws.BeginAsyncMethodTest(cb, null);
        }


        private void OnAsyncMethodComplete(IAsyncResult ar)
        {
            this.textBox1.Invoke(new UpdateTextBoxDelegate(this.UpdateTextBox), new object[] { ws.EndAsyncMethodTest(ar) });
            //this.textBox1.Text = this.textBox1.Text + "----" + ws.EndAsyncMethodTest(ar);
        }

        public delegate void UpdateTextBoxDelegate(string resultFromServer);

        private void UpdateTextBox(string resultFromServer)
        {
            this.textBox1.Text = this.textBox1.Text + "|" + resultFromServer + "|" + System.DateTime.Now.ToString();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            this.textBox1.Text = "";
            for (int i = 0; i < 4; i++)
            {
                this.textBox1.Text = this.textBox1.Text + "|" + ws.GetServerTime();
                System.Threading.Thread.Sleep(3000);
            }
        }

    }
}